import sys
import bibitems2bibtex as b2b

if __name__ == '__main__':
    if len(sys.argv) < 2:
        print('USAGE: %s <bibitems_in> <bibtex_out> <bibitems_out>' % sys.argv[0])
        sys.exit(-1)
    bibitems_in = sys.argv[1]
    #bibtex_out = sys.argv[2]
    #bibitems_out = sys.argv[3]
    bi = b2b.read_bibitems(bibitems_in)
    for i in bi:
        key = b2b.parsekey(i)
        title = b2b.parsetitle(i)
        doi = i.split(' ')[-1]
        print('%s %s'%(key,title))
        print('%s'%doi)
        r = b2b.mydoi2bib(doi)
        if r[0]:
            print(b2b.bibtex_insert_key(r[1],key))
        else:
            print(r)
        print('')
