import sys
import bibitems2bibtex as b2b

if __name__ == '__main__':
    if len(sys.argv) < 4:
        print('USAGE: %s <bibitems_in> <bibtex_out> <bibitems_out>' % sys.argv[0])
        sys.exit(-1)
    bibitems_in = sys.argv[1]
    bibtex_out = sys.argv[2]
    bibitems_out = sys.argv[3]
    bi = b2b.read_bibitems(bibitems_in)
    ftex = open(bibtex_out,'w')
    fitems = open(bibitems_out,'w')
    for i in bi:
        key = b2b.parsekey(i)
        print(key)
        title = b2b.parsetitle(i)
        doi = i.split(' ')[-1]
        r = b2b.mydoi2bib(doi)
        if r[0]:
            ftex.write(b2b.bibtex_insert_key(r[1],key))
            ftex.write('\n')
            ftex.flush()
        else:
            fitems.write(i)
            fitems.write('\n\n')
            fitems.flush()
    ftex.close()
    fitems.close()
